Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xerces.jaxp
Class SAXParserImpl

    java.lang.Object
      |
      +--javax.xml.parsers.SAXParser
            |
            +--weblogic.apache.xerces.jaxp.SAXParserImpl

public class SAXParserImpl
extends javax.xml.parsers.SAXParser

This is the implementation specific class for the `javax.xml.parsers.SAXParser`.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Method Summary
`org.xml.sax.Parser` | `getParser()`
`java.lang.Object` | `getProperty(java.lang.String name)` returns the particular property requested for in the underlying implementation of org.xml.sax.XMLReader.
`org.xml.sax.XMLReader` | `getXMLReader()` Returns the XMLReader that is encapsulated by the implementation of this class.
`boolean` | `isNamespaceAware()`
`boolean` | `isValidating()`
`void` | `setProperty(java.lang.String name, java.lang.Object value)` Sets the particular property in the underlying implementation of org.xml.sax.XMLReader.

Methods inherited from class javax.xml.parsers.SAXParser
`parse, parse, parse, parse, parse, parse, parse, parse, parse, parse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getParser

    public org.xml.sax.Parser getParser()
                                 throws org.xml.sax.SAXException

  Overrides:
    getParser in class javax.xml.parsers.SAXParser

### getXMLReader

    public org.xml.sax.XMLReader getXMLReader()

  Returns the XMLReader that is encapsulated by the implementation of this class.

  Overrides:
    getXMLReader in class javax.xml.parsers.SAXParser

### isNamespaceAware

    public boolean isNamespaceAware()

  Overrides:
    isNamespaceAware in class javax.xml.parsers.SAXParser

### isValidating

    public boolean isValidating()

  Overrides:
    isValidating in class javax.xml.parsers.SAXParser

### setProperty

    public void setProperty(java.lang.String name,
                            java.lang.Object value)
                     throws org.xml.sax.SAXNotRecognizedException,
                            org.xml.sax.SAXNotSupportedException

  Sets the particular property in the underlying implementation of org.xml.sax.XMLReader.

  Overrides:
    setProperty in class javax.xml.parsers.SAXParser

### getProperty

    public java.lang.Object getProperty(java.lang.String name)
                                 throws org.xml.sax.SAXNotRecognizedException,
                                        org.xml.sax.SAXNotSupportedException

  returns the particular property requested for in the underlying implementation of org.xml.sax.XMLReader.

  Overrides:
    getProperty in class javax.xml.parsers.SAXParser

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference